Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl
Class SWRLSystemFrames.SWRLSystemFramesAssertions

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.impl.OWLSystemFrames.SystemFramesAsserter
          edu.stanford.smi.protegex.owl.swrl.SWRLSystemFrames.SWRLSystemFramesAssertions

Enclosing class:
  SWRLSystemFrames

    protected class SWRLSystemFrames.SWRLSystemFramesAssertions

extends OWLSystemFrames.SystemFramesAsserter

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.model.impl.OWLSystemFrames.SystemFramesAsserter
`annotationDatatypePropertyTypes, annotationObjectPropertyTypes, fs, functionalDatatypePropertyTypes`

Constructor Summary
`SWRLSystemFrames.SWRLSystemFramesAssertions(edu.stanford.smi.protege.model.framestore.FrameStore fs)`

Method Summary
`void` | `addBuiltInTypes()`
`void` | `addPropertyTypes()`
`void` | `addSWRLHierarchy()`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.OWLSystemFrames.SystemFramesAsserter
`assertDomain, assertDomain, assertDomains, assertFunctional, assertRange, assertTypeAndName, assertTypeAndName, assertTypeAndSubclasses, assertValueType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLSystemFrames.SWRLSystemFramesAssertions

    public SWRLSystemFrames.SWRLSystemFramesAssertions(edu.stanford.smi.protege.model.framestore.FrameStore fs)

Method Detail

### addSWRLHierarchy

    public void addSWRLHierarchy()

### addPropertyTypes

    public void addPropertyTypes()

### addBuiltInTypes

    public void addBuiltInTypes()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.